# Interface ApiDefaultWrapper<U>

interface ApiDefaultWrapper<U = BaseMessages> {
error: number;
errorMsg?: string;
f: string;
messages: U;
o: string;
}

#### Type Parameters

- U = BaseMessages

#### Hierarchy (View Summary)

- ApiDefaultWrapper
  - ApiWrapper

- Defined in jamespot-user-api/src/types/utils.ts:51

##### Index

### Properties

error
errorMsg?
f
messages
o

## Properties

### error

error: number

- Defined in jamespot-user-api/src/types/utils.ts:54

### `Optional` errorMsg

errorMsg?: string

- Defined in jamespot-user-api/src/types/utils.ts:56

### f

f: string

- Defined in jamespot-user-api/src/types/utils.ts:53

### messages

messages: U

- Defined in jamespot-user-api/src/types/utils.ts:55

### o

o: string

- Defined in jamespot-user-api/src/types/utils.ts:52